Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03190 Documentation Minor N/A May 16, 2009, 19:18 May 18, 2009, 21:05
Tester Heihachi_73 View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver aristmk4.cpp
Version 0.131u2 Fixed in Version 0.131u3 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 03190: 86lions: 'Wrong' colours seem fixed when you swap R/B values
Description Just a quick colour swap in Irfanview results in a much better colour display, although there is no original screenshot of this game to compare it with. Wrong order in the emulation perhaps?
Steps To Reproduce
Additional Information 86lions.c merged into aristmk4.c in 0.142u2

There also doesn't seem to be anything in either the program or graphics ROMs to resemble a 'lion' type game - the main screen is simply titled 'HI-ROLLER'.
Github Commit
Flags
Regression Version
Affected Sets / Systems 86lions
Attached Files
png file icon 0000_bgr.png (3,364 bytes) May 16, 2009, 19:18
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.04391
Kale
Developer
May 17, 2009, 11:01
Going to fix this.
As far as I know this game is named 86 Lions on it's marquee, like some other early gambling games without title screen (e.g. King Derby, Noraut Poker etc.)
User avatar
No.04399
Heihachi_73
Tester
May 18, 2009, 21:05
There were other 'generic' Aristocrat games of the era which did that, the random number ones didn't have a title screen but the artwork said Action Packed and Winning Ways. Same hardware too (©1986 Ainsworth Nominees).

Colours are now fixed, with help of palindrome over at http://www.fruit-emu.com/forums/general-fme-discussion/16549-aristocrat-mkv-aka-mark-5-added-mame-5.html#post167540. MKIV (later hardware) driver shouldn't be too long, but just like this game, no inputs yet. Not sure if palindrome posted the source yet.